NX Open C++ Reference Guide
|
Class that performs the "update" of Formboard geometry. More...
Public Member Functions | |
void | CreateBendsOfRadialBends () |
Creates bends for radial bends after all discrepanices have been fixed. | |
void | DetermineDiscrepancies () |
Once the mapping has been determined, this method can find any discrepancies between the 3D harness and the formboard. | |
void | FindMapping () |
Compute the mapping between the data in the formboard and the data in the 3D harness. | |
NXOpen::Formboard::UpdateDiscrepancy * | GetDiscrepancy (int index) |
Returns the discrepancy at the given index. | |
NXOpen::Part * | GetHarnessPart () |
Gets the 3D harness part file to compare the formboard against. | |
int | GetNumberOfDiscrepancies () |
Returns the number of discrepancies discovered by the Formboard::UpdateFormboardBuilder::DetermineDiscrepancies . | |
NXOpen::Formboard::LayoutLengthOptions * | LengthOptions () |
Returns the length options for the update operation. | |
void | RemoveBendsOfRadialBends () |
Removes bends in all radial bends and replaces them with a linear segment going from the anchor to the free RCP of each radial bend. | |
void | SetHarnesses (const std::vector< NXOpen::Routing::Electrical::HarnessDevice * > &harnesses) |
Sets the harnesses within the harness part that the formboard must be compared with. | |
void | SetHarnessPart (NXOpen::Part *harnessPart) |
Sets the 3D harness part file to compare the formboard against. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Class that performs the "update" of Formboard geometry.
<br> To create a new instance of this class, use @link Formboard::FormboardManager::CreateUpdateFormboardBuilder Formboard::FormboardManager::CreateUpdateFormboardBuilder @endlink <br>
Created in NX7.5.0.
void NXOpen::Formboard::UpdateFormboardBuilder::CreateBendsOfRadialBends | ( | ) |
Creates bends for radial bends after all discrepanices have been fixed.
This routine should be called in conjunction with RemoveBendsOfRadialBends.
Created in NX7.5.5.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::UpdateFormboardBuilder::DetermineDiscrepancies | ( | ) |
Once the mapping has been determined, this method can find any discrepancies between the 3D harness and the formboard.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::UpdateFormboardBuilder::FindMapping | ( | ) |
Compute the mapping between the data in the formboard and the data in the 3D harness.
This method can take a very long time to execute.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Formboard::UpdateDiscrepancy* NXOpen::Formboard::UpdateFormboardBuilder::GetDiscrepancy | ( | int | index | ) |
Returns the discrepancy at the given index.
The index must be 0 to Formboard::UpdateFormboardBuilder::GetNumberOfDiscrepancies .
index | index |
NXOpen::Part* NXOpen::Formboard::UpdateFormboardBuilder::GetHarnessPart | ( | ) |
Gets the 3D harness part file to compare the formboard against.
int NXOpen::Formboard::UpdateFormboardBuilder::GetNumberOfDiscrepancies | ( | ) |
Returns the number of discrepancies discovered by the Formboard::UpdateFormboardBuilder::DetermineDiscrepancies .
NXOpen::Formboard::LayoutLengthOptions* NXOpen::Formboard::UpdateFormboardBuilder::LengthOptions | ( | ) |
Returns the length options for the update operation.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::UpdateFormboardBuilder::RemoveBendsOfRadialBends | ( | ) |
Removes bends in all radial bends and replaces them with a linear segment going from the anchor to the free RCP of each radial bend.
This is done before fixing discrepancies because presence of bends in radial bend causes problems. The bends of radial bends are recreated after the discrepancies have been fixed using CreateBendsOfRadialBends
Created in NX7.5.5.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::UpdateFormboardBuilder::SetHarnesses | ( | const std::vector< NXOpen::Routing::Electrical::HarnessDevice * > & | harnesses | ) |
Sets the harnesses within the harness part that the formboard must be compared with.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
harnesses | Harnesses to compare against. |
void NXOpen::Formboard::UpdateFormboardBuilder::SetHarnessPart | ( | NXOpen::Part * | harnessPart | ) |
Sets the 3D harness part file to compare the formboard against.
This clears any discrepancies that have been discovered against the previous harness part.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
harnessPart | harnesspart |